Index · Directives · Python · libudev · gudev systemd 4

## Name

sd_id128_randomize — Generate 128-bit IDs

## Synopsis

    #include <systemd/sd-id128.h>

`int sd_id128_randomize(` | sd_id128_t* ret`)`;

## Description

`sd_id128_randomize()` generates a new randomized 128-bit ID and returns it in `ret`. Every invocation returns a new randomly generated ID. This uses the `/dev/urandom` kernel random number generator.

Note that `sd_id128_randomize()` always returns a UUID v4-compatible ID.

For more information about the "`sd_id128_t`" type, see sd-id128(3).

journalctl(1)'s `--new-id` option may be used as a command-line front-end for `sd_id128_randomize()`.

## Return Value

The call returns 0 on success (in which case `ret` is filled in), or a negative errno-style error code.

## Notes

The `sd_id128_randomize()` interface is available as shared library, which can be compiled and linked to with the "`libsystemd-id128`" pkg-config(1) file.

## See Also

systemd(1), sd-id128(3), machine-id(5), random(4), sd_id128_get_machine(3)